unit uAlbaranesClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorAlbaranesCliente, uEditorAlbaranCliente, uEditorDetalleEtiqueta,
  uEditorElegirArticulosAlbaranCliente, uEditorAlbaranesClienteReport,
  uEditorElegirAlbaranesCliente, uEditorAlbaranesDevCliente, uEditorAlbaranDevCliente;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorDetalleEtiqueta, 'EditorDetalleEtiqueta');
  EditorRegistry.RegisterClass(TfEditorAlbaranesCliente, 'EditorAlbaranesCliente');
  EditorRegistry.RegisterClass(TfEditorAlbaranCliente, 'EditorAlbaranCliente');
  EditorRegistry.RegisterClass(TfEditorAlbaranesDevCliente, 'EditorAlbaranesDevCliente');
  EditorRegistry.RegisterClass(TfEditorAlbaranDevCliente, 'EditorAlbaranDevCliente');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosAlbaranCliente, 'EditorElegirArticulosAlbaranesCliente');
  EditorRegistry.RegisterClass(TfEditorAlbaranesClientePreview, 'EditorAlbaranesClientePreview');
  EditorRegistry.RegisterClass(TfEditorElegirAlbaranesCliente, 'EditorElegirAlbaranesCliente');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorDetalleEtiqueta);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranesCliente);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranCliente);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranesDevCliente);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranDevCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosAlbaranCliente);
  EditorRegistry.UnRegisterClass(TfEditorAlbaranesClientePreview);
  EditorRegistry.UnRegisterClass(TfEditorElegirAlbaranesCliente);
end;

end.

